Bug 639948 - Click on 'Monitoring -> Call Time' opens new blank browser tab
Click on 'Monitoring -> Call Time' opens new blank browser tab
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-iframes
  Show dependency treegraph
 
Reported: 2010-10-04 07:58 EDT by Rajan Timaniya
Modified: 2011-05-23 21:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:10:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajan Timaniya 2010-10-04 07:58:45 EDT
Description of problem:
Click on 'Monitoring -> Call Time' opens new blank browser tab and set focus there.

Note: The same issue observed on click of other part of application as well. 

Version-Release number of selected component (if applicable):
RHQ-Master build #363
http://hudson-qe.rhq.rdu.redhat.com:8080/view/RHQ/job/ci-rhq-master/363/

How reproducible:
Always

Steps to Reproduce:
1) Install RHQ server and agent (import all resources to inventory)
2) Log-in to RHQ
3) Select WAR 
4) Click on 'Monitoring -> Call Time'
  
Actual results:
Click on 'Monitoring -> Call Time' opens new blank browser tab and set focus there.

Expected results:
Click on  'Monitoring -> Call Time', RHQ should not open new blank browser tab and focus should on Call Time.

Additional info:
Comment 1 John Mazzitelli 2011-03-31 13:10:42 EDT
this appears to have been fixed already. going to the calltime subtab shows the jsf page in an iframe as expected.
Comment 2 Sunil Kondkar 2011-04-11 08:06:00 EDT
Verified on build#1140 (Version: 4.0.0-SNAPSHOT Build Number: 0589b9e)

Clicking on  'Monitoring -> Call Time', does not open new blank browser tab
and focus remains on Call Time sub tab.

Marking as verified.
Comment 3 Corey Welton 2011-05-23 21:10:04 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.